import { baseRequest } from '@/utils/request'

const request = (url, ...arg) => baseRequest(`/basic.info/grainPriceCollectProvinceSum/` + url, ...arg)

/**
 * 省级粮食价格采集汇总Api接口管理器
 *
 * @author weiyinbin
 * @date  2024/04/17 10:58
 **/
export default {
	// 获取省级粮食价格采集汇总分页
	bizGrainPriceCollectProvinceSumPage(data) {
		return request('findPage', data, 'get')
	},
	// 提交省级粮食价格采集汇总表单 edit为true时为编辑，默认为新增
	bizGrainPriceCollectProvinceSumSubmitForm(data, edit = false) {
		return request(edit ? 'edit' : 'add', data)
	},
	// 删除省级粮食价格采集汇总
	bizGrainPriceCollectProvinceSumDelete(data) {
		return request('delete', data)
	},
	// 获取省级粮食价格采集汇总详情
	bizGrainPriceCollectProvinceSumDetail(data) {
		return request('detail', data, 'get')
	},
	bizGrainPriceCollectProvinceSumSum(data){
		return request('collectProvinceSum',data,'get');
	}
}
